/*simplememory*/
#google_ad_c1, #google_ad_c2 {display:none;}
.syntaxhighlighter a, .syntaxhighlighter div, .syntaxhighlighter code, .syntaxhighlighter table, .syntaxhighlighter table td, 
.syntaxhighlighter table tr, .syntaxhighlighter table tbody, .syntaxhighlighter table thead, .syntaxhighlighter table caption, 
.syntaxhighlighter textarea {
font-size: 14px!important;
}
.CalTodayDay {
    background: rgba(212, 158, 12, 0.6) !important;
    color: #FFF;
    font-weight: bold;
}

#home {
opacity: 0.75;
margin: 0 auto;
width: 85%;
min-width: 950px;
background-color: #fff;
padding: 30px;
margin-top: 30px;
margin-bottom: 50px;
box-shadow: 0 2px 6px rgba(100, 100, 100, 0.3);
}
#blogTitle h1 {
font-size: 50px;
font-weight: bold;
font-family: "华文行楷";
line-height: 1.5em;
margin-top: 20px;
color: #515151;
}
#blogTitle h2 {
font-size: 25px;
font-weight: bold;
font-family: "华文行楷";
line-height: 1.5em;
margin-top: 20px;
color: #757575;
}
#navList a:hover {
color: #515151;
text-decoration: none;
}
#navList a {
display: block;
width: 5em;
height: 22px;
float: left;
text-align: center;
padding-top: 18px;
}
#navigator {
font-size: 15px;
border-bottom: 1px solid #ededed;
border-top: 1px solid #ededed;
height: 50px;
clear: both;
margin-top: 25px;
}
.catListTitle {
margin-top: 21px;
margin-bottom: 10.5px;
text-align: left;
border-left: 5px solid rgba(193, 107, 17, 0.63);
padding: 10px 0 14px 10px;
background-color: #FFFFFF;
}
#ad_under_post_holder #google_ad_c1,#google_ad_c2{  
display: none !important;
}
body {
color: #515151;
background: url(https://www.cnblogs.com/images/cnblogs_com/wans-caesar-02111007/1276373/o_%e6%97%8b%e8%bd%ac%2020171117160858_X5xPC.jpg) fixed;
background-size: cover;
background-repeat: repeat;
background-position:50% 0%;
font-family: "Arial","Microsoft YaHei","黑体","宋体",sans-serif;
font-size: 12px;
min-height: 101%;
}
.postTitle {
    border-top-left-radius: 6px;
    border-top-right-radius: 7px;
    padding: 12px 3px;
    background-image: -webkit-linear-gradient(0deg, #fce6a9, #fce6a9);
    font-weight:bold;
}
.postTitle {
    border-left: 3px solid rgba(243, 232, 202, 0.04);
    margin-bottom: 10px;
    font-size: 20px;
    float: right;
    width: 100%;
    clear: both;
}
.postDesc {
    color: hsla(0, 0%, 50%, 1);
    text-align: right;
    border-top: 1px dotted hsla(0, 0%, 80%, 1);
    font-size: 13px;
    font-weight: 300;
    padding-top: 5px;
    margin-bottom: 17px;
    padding-right: 40px;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
    overflow: hidden;
    margin-left: 10px;
}
pager {
    font-size: 12px;
    margin: 10px 0;
    text-align: center;
    color: #fce6a9;
    line-height: 200%;
}
.pager a {
    box-shadow: 0 1px 3px #fce6a9;
    border: 1px solid #fce6a9;
    background: #fce6a9;
    color: white;
    transition: all 0.4s linear 0s;
}
.pager {
    font-size: 12px;
    margin: 10px 0;
    text-align: center;
    color: #fce6a9;
    line-height: 200%;
}
.entrylistPosttitle {
    border-left: 3px solid rgba(243, 232, 202, 0.04);
    margin-bottom: 10px;
    font-size: 20px;
    float: right;
    width: 100%;
    clear: both;
    border-top-left-radius: 6px;
    border-top-right-radius: 7px;
    padding: 12px 3px;
    background-image: -webkit-linear-gradient(0deg, #fce6a9, #fce6a9);
    font-weight: bold;
}
.entrylistPostSummary {
    float: right;
    line-height: 1.5em;
    width: 100%;
    clear: both;
    padding: 10px 0;
}
.entrylistItemPostDesc {
    color: hsla(0, 0%, 50%, 1);
    text-align: right;
    border-top: 1px dotted hsla(0, 0%, 80%, 1);
    font-size: 13px;
    font-weight: 300;
    padding-top: 5px;
    margin-bottom: 17px;
    padding-right: 40px;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
    overflow: hidden;
    margin-left: 10px;
}
.entrylistPosttitle a:link, .entrylistPosttitle a:visited, .entrylistPosttitle a:active {
    color: #515151;
    font-family: "微软雅黑";
    font-size: 18px;
    transition: all 0.4s linear 0s;
}
.entrylistItem {
    min-height: 20px;
    _height: 20px;
    margin-bottom: 30px;
    padding-bottom: 0px;
    padding-top: 10px;
    width: 100%;
}
.postTitle a:link, .postTitle a:visited, .postTitle a:active {
        color: #515151;
        font-family: "微软雅黑";
        font-size: 18px;
        transition: all 0.4s linear 0s;
    }

    .postTitle a:hover {
        margin-left: 30px;
        color: #515151;
        text-decoration: none;
    }

div.commentform p{
margin-bottom:10px;
}
.comment_btn {
padding: 5px 10px;
height: 35px;
width: 90px;
border: 0 none;
border-radius: 5px;
background: #ddd;
color: #515151;
cursor:pointer;
font-family: "Arial","Microsoft YaHei","黑体","宋体",sans-serif;
font-size: 20px;
text-shadow: 0 0 1px #fff;
display: inline !important;
}
.comment_btn:hover{
padding: 5px 10px;
height: 35px;
width: 90px;
border: 0 none;
border-radius: 5px;
background: #258fb8;
color: white;
cursor:pointer;
font-family: "Arial","Microsoft YaHei","黑体","宋体",sans-serif;
text-shadow: 0 0 1px #fff;
display: inline !important;
}
#commentform_title {
background-image:none;
background-repeat:no-repeat;
margin-bottom:10px;
padding:0;
font-size:16px;
}
#commentbox_opt,#commentbox_opt + p {
text-align:center;
}
.commentbox_title {
width: 100%;
}
#tbCommentBody {
font-family:"Arial","Microsoft YaHei","黑体","宋体",sans-serif;
margin-top:10px;
max-width:100%;
min-width:100%;
background:white;
color:#333;
border:2px solid #fff;
box-shadow:inset 0 0 8px #aaa;
// padding:10px;
height:250px;
font-size:14px;
min-height:120px;
}
.feedbackItem {
font-size:14px;
line-height:24px;
margin:10px 0;
padding:20px;
background:#F2F2F2;
box-shadow:0 0 5px #aaa;
}
.feedbackListSubtitle {
font-weight:normal;
}

#blog-comments-placeholder, #comment_form {
padding: 20px;
background: #fff;
-webkit-box-shadow: 1px 2px 3px #ddd;
box-shadow: 1px 2px 3px #ddd;
margin-bottom: 50px;
}
.feedback_area_title {
margin-bottom: 15px;
font-size: 1.8em;
}
.feedbackItem {
border-bottom: 1px solid #CCC;
margin-bottom: 10px;
padding: 5px;
background: rgb(248, 248, 248);
}
.color_shine {background: rgb(226, 242, 255);}
.feedbackItem:hover {-webkit-animation-name: color_shine;-webkit-animation-duration: 2s;-webkit-animation-iteration-count: infinite;}
#comment_form .title {
font-weight: normal;
margin-bottom: 15px;
}
/*雪花css*/
#Snow{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 99999;
    background: rgba(255,255,240,0.1);
    pointer-events: none;
}
/*雪花css  end*/
/*代码高亮*/
figure.highlight {
  background: #eee;
  border: 1px solid #ddd;
  margin-top: 15px;
  padding: 7px 15px;
  -webkit-border-radius: 2px;
  border-radius: 2px;
  text-shadow: 0 0 1px #eee ;
  line-height: 1.6;
  overflow: auto;
  position: relative;
  font-size: 0.9em; 
}
figure.highlight figcaption {
  color: #999;
  margin-bottom: 5px;
  text-shadow: 0 0 1px #eee ;
}
figure.highlight figcaption a {
  position: absolute;
  right: 15px;
}
figure.highlight pre {
  border: none;
  padding: 0;
  margin: 0;
}
figure.highlight table {
  margin-top: 0;
  border-spacing: 0;
}
figure.highlight .gutter {
  color: #999;
  padding: 7px 10px 7px 5px !important;
  border-right: 1px solid #ddd;
  text-align: right;
}
figure.highlight .code {
  padding: 7px 7px 7px 10px !important;
  border-left: 1px solid #fff;
  color: #666;
}
/*下面是各种代码的颜色*/
pre .comment,
pre .template_comment,
pre .diff .header,
pre .doctype,
pre .pi,
pre .lisp .string,
pre .javadoc {
  color: #93a1a1;
  font-style: italic;
}
pre .keyword,
pre .winutils,
pre .method,
pre .addition,
pre .css .tag,
pre .request,
pre .status,
pre .nginx .title {
  color: #859900;
}
pre .number,
pre .command,
pre .string,
pre .tag .value,
pre .phpdoc,
pre .tex .formula,
pre .regexp,
pre .hexcolor {
  color: #2aa198;
}
pre .title,
pre .localvars,
pre .chunk,
pre .decorator,
pre .built_in,
pre .identifier,
pre .vhdl,
pre .literal,
pre .id {
  color: #268bd2;
}
pre .attribute,
pre .variable,
pre .lisp .body,
pre .smalltalk .number,
pre .constant,
pre .class .title,
pre .parent,
pre .haskell .type {
  color: #b58900;
}
pre .preprocessor,
pre .preprocessor .keyword,
pre .shebang,
pre .symbol,
pre .symbol .string,
pre .diff .change,
pre .special,
pre .attr_selector,
pre .important,
pre .subst,
pre .cdata,
pre .clojure .title {
  color: #cb4b16;
}
pre .deletion {
  color: #dc322f;
}
.feedbackListSubtitle { position: relative;}
.feedbackManage {width: 160px;position: absolute;right: 0;text-align: right;}
.cnblogs_code_toolbar {display: none;}
#cnblogs_post_body {overflow: hidden;}
#cnblogs_post_body ol { padding-left: 40px;}
#cnblogs_post_body ul { margin-left: 35px;}
.fixedReadRank { position: fixed; top: 20px; width: 270px; }
.fixedRecRank { position: fixed; top: 360px; width: 270px; }
figure.highlight { margin-top: 0; padding: 0;}
figure table {width: 100%; margin: 0 !important;}
#cnblogs_post_body pre { padding: 0; }
#cnblogs_post_body th, #cnblogs_post_body td { padding: 0; }
.cnblogs_code pre { padding: 7px 15px !important; background: #f5f5f5;border: 0;margin-top: 0;}
.cnblogs_code th {border: 1px solid silver; padding: 3px;}
.cnblogs_code { padding: 0;}